aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/heat/onap-oom/scripts
diff options
context:
space:
mode:
authorGary Wu <gary.i.wu@huawei.com>2018-05-12 09:08:20 -0700
committerGary Wu <gary.i.wu@huawei.com>2018-05-12 09:08:20 -0700
commit7d03458c5aaa59a252976176c932663b8f01f153 (patch)
tree4caa4219506b3b11e8eb7a39a7794c449e856f6a /deployment/heat/onap-oom/scripts
parent1d882c6c2569928fdaa3a445a3424f1fabce0c71 (diff)
Increase k8s VMs to 9
Change-Id: I0fb58dc5a41b93b680ee39020ef01b24170b5c46 Issue-ID: INT-381 Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
Diffstat (limited to 'deployment/heat/onap-oom/scripts')
-rwxr-xr-xdeployment/heat/onap-oom/scripts/gen-onap-oom-yaml.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/deployment/heat/onap-oom/scripts/gen-onap-oom-yaml.sh b/deployment/heat/onap-oom/scripts/gen-onap-oom-yaml.sh
index 19e7b60b1..41d511391 100755
--- a/deployment/heat/onap-oom/scripts/gen-onap-oom-yaml.sh
+++ b/deployment/heat/onap-oom/scripts/gen-onap-oom-yaml.sh
@@ -1,6 +1,12 @@
#!/bin/bash
-NUM_K8S_VMS=7
+if [ "$#" -ne 1 ]; then
+ echo This script generates the HEAT template for X number of k8s VMs
+ echo "$0 <num k8s vms>"
+ exit 1
+fi
+NUM_K8S_VMS=$1
+
if [ -z "$WORKSPACE" ]; then
export WORKSPACE=`git rev-parse --show-toplevel`